%define url_ver %(echo %{version} | cut -d "." -f -2)

Name:			gnome-tweak-tool
Version:		3.24.0
Release:		%mkrel 1
Summary:		A tool to customize advanced GNOME 3 options
Group:			Graphical desktop/GNOME
License:		GPLv3
URL:			https://wiki.gnome.org/GnomeTweakTool
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		0001-Allow-tweaking-of-the-Lock-Screen-password-entry-bac.patch
BuildRequires:		GConf2
BuildRequires:		intltool
BuildRequires:		pkgconfig(gsettings-desktop-schemas) >= 3.3.2
BuildRequires:		pkgconfig(pygobject-3.0) >= 2.29.0
BuildRequires:		pkgconfig(gtk+-3.0) >= 3.9.10
BuildRequires:		desktop-file-utils
BuildArch:		noarch
Requires:		python-gi
Requires:		gnome-shell

%description
GNOME Tweak Tool is an application for changing the advanced settings
of GNOME 3.

Features:
* Install and switch gnome-shell themes
* Switch GTK+ themes
* Switch icon themes
* Change
  - The user-interface and title bar fonts
  - Icons in menus and buttons
  - Behavior on laptop lid close
  - Shell font size
  - File manager desktop icons
  - Title bar click action
  - Shell clock to show date
  - Font hinting
  - Font anti-aliasing


%files -f %{name}.lang
# License not included in source
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{python2_sitelib}/gtweak
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/gnome-tweak-tool*.*
%{_datadir}/appdata/%{name}.appdata.xml
%{_libexecdir}/gnome-tweak-tool-lid-inhibitor

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%configure2_5x --build=%{_host}
%make

%install
%makeinstall_std
%find_lang %{name}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
	--remove-only-show-in=Pantheon \
	%{buildroot}%{_datadir}/applications/*.desktop


%changelog
* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094069
- new version 3.24.0

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054899
- new version 3.22.0

* Sat Apr 23 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1005451
- new version 3.20.1

* Wed Mar 23 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994434
- new version 3.20.0

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 962423
- new version 3.19.90

* Sun Jan 17 2016 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 925184
- new version 3.19.1

* Wed Nov 11 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 902570
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882737
- new release

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865645
- new version 3.17.90

* Mon Jun 22 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 838557
- new version 3.17.1

* Sat Jun 20 2015 ovitters <ovitters> 3.14.3-1.mga6
+ Revision: 836418
- new version 3.14.3

* Tue Jan 13 2015 colin <colin> 3.14.2-2.mga5
+ Revision: 810424
- Add patch to allow user customisation of the unlock screen background bgo#738260

* Sat Nov 15 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 797320
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 743553
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731697
- new version 3.14.0

* Fri Sep 19 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 697405
- new version 3.13.92

* Tue Sep 16 2014 umeabot <umeabot> 3.12.0-3.mga5
+ Revision: 679784
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.12.0-2.mga5
+ Revision: 628230
- Rebuild for new Python

* Wed Mar 26 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608861
- new version 3.12.0

* Tue Nov 12 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 550845
- new version 3.10.1

* Sat Nov 09 2013 ovitters <ovitters> 3.10.0-4.mga4
+ Revision: 550171
- fix url

* Sat Nov 02 2013 fwang <fwang> 3.10.0-3.mga4
+ Revision: 548897
- add requires on python-gi

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 537298
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 486699
- new version 3.10.0

* Thu Sep 19 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 481601
- new version 3.9.92

* Wed Sep 04 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 475108
- new version 3.9.91

* Thu Aug 22 2013 ovitters <ovitters> 3.9.90.1-1.mga4
+ Revision: 469803
- br gtk+-3.0
- new version 3.9.90.1

* Thu Aug 22 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 469379
- new version 3.9.90

* Wed Jul 17 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 455215
- new version 3.8.1

* Fri May 24 2013 ovitters <ovitters> 3.8.0-1.mga4
+ Revision: 426755
- remove Pantheon from Only-Show-In in desktop file
- new version 3.8.0

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352238
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307108
- new version 3.6.1

* Wed Oct 03 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 302346
- new version 3.6.0

* Mon Aug 13 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 281104
- new version 3.5.5

* Thu Aug 09 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 280228
- update file list
- drop upstreamed patch
- new version 3.5.4

* Thu Jul 12 2012 fwang <fwang> 3.4.0.1-2.mga3
+ Revision: 270211
- add upstream patch to recognize gnome-shell 3.5

* Mon May 14 2012 ovitters <ovitters> 3.4.0.1-1.mga3
+ Revision: 235668
- new version 3.4.0.1
- new version 3.4.0

* Sat Jan 14 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 195900
- do not use autogen
- fix build host
- new version 3.3.4

* Sun Nov 27 2011 colin <colin> 3.3.0-0.20111127.1.mga2
+ Revision: 172862
- Update to git master version to work with gnome-shell 3.3.x

* Sat Nov 19 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 169053
- new version 3.2.2

* Thu Nov 03 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 161994
- fix build
- new version 3.2.1
  should be noarch package

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149882
- new version 3.2.0

* Thu Sep 01 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 137469
- new version 3.1.90
- br gnome-common
- add upstream patch to build with pygobject3
- drop invalid category
- new version 3.1.0

* Mon Jun 27 2011 fwang <fwang> 3.0.5-1.mga2
+ Revision: 114316
- new version 3.0.5

* Sun Jun 19 2011 kharec <kharec> 3.0.4-1.mga2
+ Revision: 109731
- new version

* Fri Jun 17 2011 dmorgan <dmorgan> 3.0.3-1.mga2
+ Revision: 108663
- Make it build by removing the noarch (bug ?)
- imported package gnome-tweak-tool


* Wed May  4 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.3-1
- Update to 3.0.3

* Mon Apr  4 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.0-1
- Update to 3.0.0

* Fri Mar 25 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.93-2
- Enable icon theme selection

* Fri Mar 25 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.93-1
- Update to 2.91.93

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-3
- Include license information

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-2
- Use %%configure macro
- Validate desktop file

* Mon Mar 21 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-1
- Initial package
